
QGIS Application - Bug report #8793

Crash while Exporting OpenStreetMap Topology to SpatiaLite

2013-10-07 08:54 AM - Gunnar Oehmichen

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.0.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17494

Description

Downloaded osm.pbf file, converted to osm, extracted a region with osmosis and wanted to open the layers.

Successfully imported Topology from XML.

Successfully exported Topology to Spatiallite of points and polylines.

Failed to export Topology to Spatiallite of polygons: Can start the dialog and the process. After a while qgis crashes.

When connecting to the db via: Add Spatiallite Layer, i choose the created polygons layer, which is empty. Attribute table has zero

objects.

History

#1 - 2013-10-07 07:00 PM - Martin Dobias

Could you please provide the input .osm file in order to reproduce the crash?

#2 - 2013-11-03 08:22 AM - Torsten Osigus

Hi,

me too.

QGIS Desktop 2.01 on Windows, Mac OS X (10.9) and Ubuntu 13.10 crashed when:

http://download.geofabrik.de/europe/germany/niedersachsen-latest.osm.pbf

convert with osmconvert to *.osm, imported Topology from XML and then exported Topology to Spatialite polygons. Changing Database-Labels (aka

1.000.000 or 1) to export doesn't help.

Points and Polylines worked.

Any help?

Thanks

Torsten Osigus

#3 - 2013-11-13 06:37 AM - Martin Dobias

Umm... the file has 180mb... Any chance for a smaller dataset that exhibits the crash? (I have currently slow and bad connection)
#4 - 2013-11-13 06:39 AM - Torsten Osigus

http://download.geofabrik.de/europe/germany/bremen-latest.osm.pbf

File size: 9.1 MB

From http://download.geofabrik.de/europe/germany/bremen.html

Not tested.

#5 - 2013-11-14 12:33 AM - Martin Dobias

Export of polygons from Bremen-latest works for me without any crashes.

#6 - 2013-11-15 04:43 AM - Torsten Osigus

With Niedersachsen-latest it doesn't work. Could yout test it with it?

#7 - 2013-11-15 04:50 AM - Matthias Kuhn

- Status changed from Open to Closed

This has been fixed in commit:9259e27
